Mark conversation as done
curl --request POST \
--url https://dev-public-api.openphone.dev/conversations/{conversationId}/mark-as-done \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": {
"assignedTo": "US123abc",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "CN123abc",
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastActivityId": "AC123abc",
"mutedUntil": "2023-11-07T05:31:56Z",
"name": "Chat with customer",
"participants": [
"+15555555555"
],
"phoneNumberId": "PN123abc",
"snoozedUntil": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/conversationId",
"message": "Expected string to match '^CN(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^CN(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "Conversation not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Conversations
Mark conversation as done
Mark a conversation as done, removing it from the inbox without sending a message. Returns the updated conversation.
POST
/
conversations
/
{conversationId}
/
mark-as-done
Mark conversation as done
curl --request POST \
--url https://dev-public-api.openphone.dev/conversations/{conversationId}/mark-as-done \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": {
"assignedTo": "US123abc",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "CN123abc",
"lastActivityAt": "2023-11-07T05:31:56Z",
"lastActivityId": "AC123abc",
"mutedUntil": "2023-11-07T05:31:56Z",
"name": "Chat with customer",
"participants": [
"+15555555555"
],
"phoneNumberId": "PN123abc",
"snoozedUntil": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/conversationId",
"message": "Expected string to match '^CN(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^CN(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "Conversation not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of the conversation to mark as done.
Pattern:
^CN(.*)$Example:
"CN123abc"
Response
OK
Show child attributes
Show child attributes
Was this page helpful?